LSMBOX(1)

NAME
lsmbox - list number of total, old unread, and new messages for the specified mailbox(es)

SYNOPSIS
lsmbox [OPTION]... [MAILBOX]...

DESCRIPTION
lsmbox lists the number of messages in a mailbox. Both total, unread but old, and new messages can be listed, for one or several mailbox files. Non-existing or empty mailboxes will be silently ignored. If the program has been compiled with curses support, you can execute a predefined command on a mailbox by choosing that mailbox using the cursor keys and pressing enter. If the program has been compiled with ncurses, the command can also be executed by clicking on the mailbox with the mouse-pointer.

By default, lsmbox will look in $MAIL (if defined) or /var/spool/mail/USERNAME for the inbox, and in $HOME/Mail/ for other mailboxes. This can be overridden by changing the default paths in $HOME/.lsmboxrc. See lsmboxrc(5) for further details. If $HOME is not defined on your system, the program will look in the current directory for mailboxes.

If no mailbox is given as an argument, the program will default to listing information about the mailboxes listed in $HOME/.lsmboxrc. If no default mailboxes have been specified in that file, or if that file does not exist, the program will abort with an error.

A filename of ! denotes your inbox. A leading ("=") or ("+") in a filename will be expanded into the path to your mail-directory.

If the name of a mailbox given at the command-line contains a path-separator ("/"), it is assumed that the default mailbox path shall be ignored for that entry, unless it has a leading ("=") or ("+").

OPTIONS

-c, --continuous
    Update statistics continuously rather than just listing them once. Exit with `q' (waits for the next mailcheck to finish) or `<ctrl> + c' (aborts immediately). Note: this option is only available if the program has been compiled with curses support

-i, --check-interval
    Interval in seconds between each update of the statistics. This option overrides the environment variable $MAILCHECK. Using a low interval will give you faster notification of newly arrived e-mail, but will put increased load on your system. Note: this option is only available if the program has been compiled with curses support

-n, --new-only
    Only display mailboxes with new messages (and old unread, if the mark_old option has been unset)

-o, --no-old
    Do not display the number of old messages each mailbox contains

-p, --padding
    Width to use for the mailbox column; leave empty to use the smallest possible

-s, --no-summary
    Do not display a summary of the statistics for all mailboxes

-S, --short-names
    Only display the name of the mailbox rather than the full path

-t, --no-total
    Do not display total number of messages each mailbox contains

--help
    Display help for the command

--version
    Display version and author information

ENVIRONMENT

MAILCHECK
    Interval in seconds between each update of the statistics.

EXAMPLES
To get information about your inbox:

    lsmbox !

To get information about the mailboxes debian-devel, linux-kernel, and spam:

    lsmbox debian-devel linux-kernel spam

To get information about the mailbox test which resides in your home directory:

    lsmbox ~/test

To use lsmbox to keep track of updates in all mailboxes listed in $HOME/.lsmboxrc:

    lsmbox -c

FILES

$HOME/.lsmboxrc
    Personal preferences for lsmbox.

SEE ALSO
lsmboxrc(5), mbox(5)

HISTORY
Apr 16 2006: Updated for v2.1.0 of lsmbox.
Apr 16 2004: Updated for v2.0.0 of lsmbox.
Mar 13 2004: Updated for v1.9.0 of lsmbox.
Mar 15 2003: Updated for v1.7.0 of lsmbox.
Jan 16 2003: Minor fixes.
Jan 06 2003: Minor fixes.
Dec 09 2002: Minor fixes.
Nov 06 2002: Updated for v1.5.0 of lsmbox.
Oct 30 2002: Updated for v1.4.2 of lsmbox.
Oct 30 2002: Fixed a typo.
Oct 30 2002: Updated for v1.4.0 of lsmbox.
Oct 29 2002: Updated for v1.3.1 of lsmbox.
Oct 29 2002: Updated for v1.3.0 of lsmbox.
Oct 28 2002: Fixed a typo.
Oct 26 2002: Updated for v1.1.0 of lsmbox.
Oct 26 2002: Updated for v1.0.1 of lsmbox.
Oct 21 2002: Initial release.

AUTHOR
lsmbox and its manual-pages are written by David Weinehall <tao@acc.umu.se>

REPORTING BUGS
Report bugs to <tao@acc.umu.se>.

COPYRIGHT
Copyright © 2002-2006 David Weinehall
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.